/*
 *  getdata.c	DCM Wood  93/03/09
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <strings.h>

#include <sys/param.h>
#include <sys/socket.h>
#include <sys/types.h>

/*
#include <netdb.h>
#include <net/if.h>
#include <net/if_arp.h>
#include <netinet/in.h>
 */

#include "js.h"
#include "jsdb.h"
/* #include "js2fig.h" */


extern	u_long		GetNetMask();
extern	struct Node *	FindNodeEnt();

struct Node * nip = NULL;
struct Node * nnp = NULL;
struct Node * nsp = NULL;


GetIntf()
{
    nip = NULL;
    return;
}


GetNets()
{
    nnp = NULL;
    return;
}


GetSubs()
{
    nsp = NULL;
    return;
}


/*
 *  GetNextIntf
 */

struct Node *
GetNextIntf( subnet )
u_long	subnet;
{
    struct Node * netp;
    u_long  nm;

    if ( nip == lp[NTYPE_INTF] )
	return( NULL );

    if ( nip == NULL )
	nip = fp[NTYPE_INTF];
    else
	nip = nip->Next;

    while ( nip != NULL )
	{
	nm = GetNetMask( nip->addr );
	netp = FindNodeEnt( nip->addr & nm, NTYPE_NET );
	if ( ( nip->addr & nm ) == ( subnet & nm ) )
	    {
	    if ( netp->sm != 0 )
		{
		if ( ( nip->addr & netp->sm ) == subnet )
		    return( nip );
		}

	    else
	    if ( ( nip->sm != 0 ) && ( ( nip->sm & nm ) == nm ) )
		if ( ( nip->addr & nip->sm ) == subnet )
		    return( nip );
	    }

	if ( nip == lp[NTYPE_INTF] )
	    return( NULL );

	nip = nip->Next;
	}
    return( NULL );
}


/*
 *  GetNextNet
 */

struct Node *
GetNextNet()
{
    u_long  nm;

    if ( nnp == lp[NTYPE_NET] )
	return( NULL );

    if ( nnp == NULL )
	nnp = fp[NTYPE_NET];
    else
	nnp = nnp->Next;

/*
    while ( nnp != NULL )
	{
	nm = GetNetMask( nnp->addr );
	if ( ( nnp->addr & nm ) == nnp->addr )
	    return( nnp );

	if ( nnp == lp[NTYPE_NET] )
	    return( NULL );

	nnp = nnp->Next;
	}
 */
    
    return( nnp );
}


/*
 *  GetNextSubNet
 */

struct Node *
GetNextSubNet( net )
u_long	net;
{
    u_long  nm;
    struct Node * snp;

    if ( nsp == lp[NTYPE_SUBNET] )
	return( NULL );

    if ( nsp == NULL )
	nsp = fp[NTYPE_SUBNET];
    else
	nsp = nsp->Next;

    while ( nsp != NULL )
	{
	nm = GetNetMask( nsp->addr );
	if ( ( nsp->addr & nm ) == net )
	    return( nsp );
/*
	    {
	    if ( nsp->sm != 0 )
		{
		if ( ( nsp->addr & nsp->sm ) == nsp->addr )
		    return( nsp );
		}
	    else
		{
		snp = FindNodeEnt( nsp->addr & nm, NTYPE_NET );
		if ( netp->sm != 0 )
		    {
		    if ( ( nsp->addr & netp->sm ) == nsp->addr )
			return( nsp );
		    }
		}
	    }
 */

	if ( nsp == lp[NTYPE_SUBNET] )
	    return( NULL );

	nsp = nsp->Next;
	}
    
    return( NULL );
}

