/*
 *  js2fig.h	DCM Wood	93/03/15
 */


struct Tnode {				/* MUST mimic "node" structure of */
	struct Tnode *	Parent;		/* ../tree.pos/PositionTree.h	  */
	struct Tnode *	FirstChild;
	struct Tnode *	LeftSibling;
	struct Tnode *	RightSibling;
	int		Xcoord;
	int		Ycoord;
	int		Prelim;		/* Preliminary X coordinate */
	int		Modifier;
	struct Tnode *	LeftNeighbor;
	struct Node  *	Datap;
	};


#ifdef MAIN

int	debug = 0;			/* debug flag */
int	TnCnt = 0;			/* Count of Tree nodes created */
struct Tnode * Tnp;

#else  /* MAIN */

extern	int	debug;			/* debug flag */
extern	int	TnCnt;			/* Count of Tree nodes created */
extern	struct Tnode * Tnp;

#endif /* MAIN */

