/*
 *  xjsv.h	DCM Wood	93/02/26
 */

#ifndef  TRUE
#define  TRUE  (1)
#endif

#ifndef  FALSE
#define  FALSE (0)
#endif

#define  MWIN_W		(400)
#define  MWIN_H		(50)

#define  MAX_BTNS	1000
#define  MAX_LABLE	(50)
#define  MAX_NAMEB	(16)
#define  MAX_BUTTONS	(1000)

#define  NETS_STATE	(1)
#define  SUBS_STATE	(2)
#define  INTF_STATE	(3)
#define  INDV_STATE	(4)

#define  BTN
#define  TNODE

struct Btn {
	char lable[MAX_LABLE];
	int (*func)();
	int state;
	int width;
	int height;
	int x;
	int y;
	u_long win;
	int mapped;
	struct Node * np;
	struct Btn * next;
	struct Btn * SameHash;
	};

struct Net {
	struct in_addr	addr;
	struct in_addr	sm;
	struct Net *	Next;
	};


extern	struct Node *	NewNet;		/* Network selected */
extern	struct Node *	NewSubnet;	/* Subnet selected */
extern	struct Node *	NewIntf;	/* Interface selected */

extern	struct Node *	CurNet;		/* Network selected */
extern	struct Node *	CurSubnet;	/* Subnet selected */
extern	struct Node *	CurIntf;	/* Interface selected */

extern	struct Btn *	BHT[];
extern	struct Node *	NHT[];
extern	struct Node *	IHT[];

extern	struct Btn * BtnOne;		/* Linked list of buttons */
extern	struct Btn * BtnLast;

extern	struct Node * fp[];		/* Linked list of nodes by ntype */
extern	struct Node * lp[];

extern	int	MainLoopState;
extern	int	debug;			/* debug flag */

/* extern  int errno; */

extern	struct Node * FindNodeEnt();

extern	struct Node * GetNextNet();
extern	struct Node * GetNextSubNet();
extern	struct Node * GetNextIntf();
extern	struct Node * GetNextIndv();

extern	struct Btn * CreateBtn();

