/*
 *  dm.h
 */

#define  DATA  " Test data sent from Discovery Manager\n"
#define  DefalutPort  1813
#define  EMMAX  40
#define  MaxAV 20
#define  MAXLINE  160
#define  MAXINTERFACES  20

#define  STARTED    1
#define  FAILED     2
#define  COMPLETED  3

#define  UPDATED    1

struct em {
	int	pid;
	short	r_status;
	struct {
		u_short	u_status:1;
		u_short	e_history:1;
		u_short	reserved:6;
		u_short	e_status:8;
		} flags;
	short	family;
	short	prog;
	int	min;
	int	max;
	int	lre;
	int	lrdt;
	int	nlre;
	int	nlrdt;
	char	ic;
	char	oc;
	char	wf;
	struct in_addr hostaddr;
	char *	hostname;
	char *	lrdts;
	char *	nlrdts;
	char *	mname;
	char *	cmdline;
	struct em * next;
	};

typedef struct em * EMP;

struct net_intf {
	u_long	addr;
	u_long	nmask;
	u_long	smask;
	};

#ifdef MAIN

int	debug = 0;
char	defdir[64] = ".";
struct em *  emFirst;
struct em *  emp;
int	emc;
struct in_addr	jsa;
char	jsac[200];
int     jsp;
struct in_addr thishost;
struct in_addr hostaddr;
char	thisname[32];
struct timeval	tv;
struct timezone	tz;

char	cmdline[MAXLINE];
short	family;
struct in_addr hostaddr;
char	hostaddrs[20];
char	hostname[140];
char	ic;
char	line[MAXLINE];
u_long	lrdt;
char	lrdts[30];
int	lre;
int	max;
int	min;
char	mname[30];
u_long	nlrdt;
char	nlrdts[30];
int	nlre;
char	oc;
short	prog;
char	wf;
struct net_intf net_intf[MAXINTERFACES];
int	intfcnt;

#else  MAIN

extern	int	debug;
extern	char	defdir[];
extern	struct em *  emFirst;
extern	struct em *  emp;
extern	int	emc;
extern	struct in_addr	jsa;
extern	char	jsac[];
extern	int     jsp;
extern	struct in_addr thishost;
extern	struct in_addr hostaddr;
extern	char	thisname[];
extern	struct timeval	tv;
extern	struct timezone	tz;

extern	char	cmdline[];
extern	short	family;
extern	struct in_addr hostaddr;
extern	char	hostaddrs[];
extern	char	hostname[];
extern	char	ic;
extern	char	line[];
extern	u_long	lrdt;
extern	char	lrdts[];
extern	int	lre;
extern	int	max;
extern	int	min;
extern	char	mname[];
extern	u_long	nlrdt;
extern	char	nlrdts[];
extern	int	nlre;
extern	char	oc;
extern	short	prog;
extern	char	wf;
extern	struct net_intf net_intf[];
extern	int	intfcnt;

#endif MAIN

extern char ** environ;
extern char *  sys_errlist[];

