/*
** list_empty():
**	check to see if a list (which has been initialized with list_init)
**	is an empty list.  empty lists have a NULL first element.
**
** pre:		begin is a valid list which has been initialized by
**		list_init, or NULL.
** post:	TRUE if list is empty, FALSE if not empty or invalid list
**
*/

/* @(#)list_empty.c	1.3 	11/1/92 */
#include "defs.h"
#include "data.h"
#include "list.h"


BOOLEAN list_empty(begin)
struct list_head	*begin; 	/* pointer to the beginning of a list */
{
	/* check to see  if length field is 0 and list field 
	is NIL. If it so, return true else return False */
	if((begin->length == 0) && (begin->list == NULL))
	{
		return(TRUE);
	}
	else
	{
		return(FALSE);
	}

}
