/*
 *  js.h
 */

#define DATA_PORT 1813
#define QUERY_PORT 1814

#define BUF_SIZE 8192


#define INTF		1
#define NETWORK		2
#define GATEWAY		3
#define EADDR_STORE	4
#define IN_ADDR_STORE 	5
#define IN_NAME_STORE	6
#define SUBNET		7

#define READ		1
#define WRITE		2

#define GET_INTF	5
#define GET_NETWORK	6
#define GET_GW		7
#define GET_ALL		8
#define GET_EADDR	10
#define GET_IPADDR	15
#define CONFLICTS_EA	50
#define CONFLICTS_IP	51

#define NOT_FOUND	5
#define FOUND		10

#define CONFLICT	2
#define NO_CONFLICT	4

/* mfunc directives */
#define M_SNIP	1
#define M_GWIP	2
#define M_GWSN	3


struct jsNode {
	u_long		addr;
	u_long		sm;
	char *		name;
	u_char		eaddr[6];
	short		rtype;
	};


#ifdef  JSLIB

char *	jshostp;

struct jsNode * GetNextRecord();
int             JSconnect();

#else /* JSLIB */

extern	char *	jshostp;

extern	struct jsNode * GetNextRecord();
extern	int		JSconnect();

#endif /* JSLIB */

