/*
 *  sniff.c	DCM Wood  93/03/17
 *
 *  Read interfaces.
 *  Write interface name and Ethernet address in the format for the 
 *      STARTUP.END for a Network General Sniffer
 *    The format is:
 *      station "<name>"=<Ethernet-address>
 *    where <name> is the interface name, up to the first period, and
 *    <Ethernet-address> is the Ethernet address of that interface.
 */

#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <sys/types.h>
#include <netinet/in.h>

#define MAIN
#include "sniff.h"
#include "js.h"


main( argc, argv )
int argc;
char *argv[];
{
    setlinebuf( stdout );

    switch ( argc )
	{
	case 1:
	    jshostp = getenv( "JS_HOST" );
	    break;

	case 2:
	    jshostp = argv[1];
	    break;

	default:
	    Usage();
	    exit( -1 );
	}

    ReadStuff();

}


Usage()
{
    fprintf( stderr, "sniff: Usage: sniff\n" );
}

