#ifndef _DISPLAY_H
#define _DISPLAY_H
/*
 * display.h
 *
 *
 */
#include <X11/Xlib.h>


extern Display *Dp;
extern Window MainWin;
extern Visual *MVis;
extern GC Text6x10GC;
extern GC Text5x8GC;
extern Font Fnt6x10;
extern Font Fnt5x8;
extern int screen;

extern int ForGndPix;
extern int BackGndPix;

extern void InitWin();
extern void FlushDpy();
extern void ResizeWindow();
extern void SetHost();
extern void SetInterval();
extern void IncInterval();
extern void DecInterval();
extern void DoEvents();
extern int GetDefaultValInt();

#endif _DISPLAY_H
