/*
 * externs.h - external definitons for ripwatch.
 *
 */

extern	char *	pname;

extern	FILE *	logfp;

extern	Counter	pkt_total;
extern	Counter	pkt_drops;
extern	Counter	int_pkt_total;
extern	Counter	int_pkt_drops;
extern	Counter	dst_pkt_total;
extern	Counter	int_dst_pkt_total;

extern	int	allflag;
extern	int	allintf;
extern	int	debug;
extern	int	do_update;
extern	int	dstflag;
extern	int	errno;
extern	int	if_fd[];
extern	int	num_net_intf;
extern	int	learnfs;
extern	int	logging;
extern	int	ninterfaces;
extern	int	non_prom;
extern	int	now;
extern	int	runtime;
extern	int	showwhich;
extern	int	sortbyusage;
extern	int	srcflag;
extern	int	truncation;

extern	u_long	thisdst;
extern	u_long	srcaddrs[];
extern	u_long	dstaddrs[];

extern	struct net_intf net_intf[];
extern	struct timeval	starttime;

extern	char	pin[];

extern	char *	prompt;
extern	char *	logfile;
extern	char *	filelist;

extern	PacketCounter	pkt_counters[];

char *	prtime();
char *	savestr();

int		udprpc_recv();
int		want_packet();

void		clear_vars();
void		command();
void		error();
void		finish();
void		flush_nit();
void		get_net_addrs();
void		icmp_filter();
void		ip_filter();
void		nd_filter();
void		nfs_count();
void		nfs_filter();
void		nfswatch();
void		pkt_filter();
void		rpc_callfilter();
void		rpc_filter();
void		rpc_replyfilter();
void		setup_rpcxdr();
void		tcp_filter();
void		udp_filter();
void		update_logfile();
void		usage();

struct route_Gw *	add_new_gw();
struct route_Dst *	add_new_dst();
struct route_Gw *	locate_Gw();
struct route_Dst *	locate_Dst();
struct route_ent *	locate_route_ent();
struct route_ent *	update_route_ent();

