/*
** list_length():
**	returns length of list.
**
** pre: 	begin points to the beginning of a valid list list
** post:	return value is length of list 
**		if begin == NULL returns 0.
**
**   @(#)list_length.c	1.2	2/3/90
*/
#include "defs.h"
#include "data.h"
#include "list.h"


unsigned long list_length(begin)
LIST	*begin;		/* pointer to beginning of list */
{
	/* find out whether begin has been initialized */
	if(begin == NULL)
	{	
		return(0);
	}

	/* return the value of the length in the LIST structure */
	
	return(begin->length);

}
